function [channels] = loadChannels(path, filenames)

    channels = {};

    for i = 1:length(filenames)
        channel = tdmsinfo(append(path, '\', filenames(i).name)).ChannelList;
        channel = channel{:, "ChannelName"};
        channels{i} = channel;
    end
    
end